China factories

LED Origami Pendant Lamp Paper Craft Night Desk Book Light Wooden

Price: 611-691 Get Latest Price
  • Brand Name: ZhengMing / OEM/ODM
  • Model Number: M-001
  • Minimum Order Quantity: 10
  • Delivery Time: 15 work days
  • view more

Dining Room Kitchen Chandelier Home Decor Bedsroom Bedside Hanging Light Vintage Wooden Ceiling Pendant Lamp (WH-VP-313)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-VP-313
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Hot sale black and wooden color nordic american dining room pendant lighting industrial pendant lamp

Price: φ350*H1500mm 24.6USD /UNIT Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B20006
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

JYLIGHTING Modern Abstract Leaf-Shaped Wood Pendant Light, Woven Wooden Strip Hanging Lamp for Living Room & Hotel Lobby Decor

Price: Negotiation Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-DZ-260623001
  • Minimum Order Quantity: 1 pcs
  • Delivery Time: 15 days after received the advance payment
  • view more

Creative Aluminum Small Pendant Lamp Raised Lowered Creative Simple Modern Bedroom Headboard Designer Model Dining Room Bar Pendant Lamp

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: ABM-0097
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

4W Alabaster Pendant Lamp 100V - 277V Modern Kitchen Pendant Light

Price: 100-10000USD Get Latest Price
  • Brand Name: MOMO
  • Model Number: MMPD150230
  • Minimum Order Quantity: 1
  • Delivery Time: 1 week
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

DIY black modern led ring pendant lamp led ring chandelier droplight ceiling lamp for hotel decoration

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: PD801-B
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 15-35days of LED Pendant light
  • view more

110-240V Voltage Customized Pendant Lamp with Metal Finish and Craftsmanship

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: Negotiable
  • Delivery Time: Negotiable
  • view more

Exquisite Lightweight Agarwood Pendant For Any Occasion Wooden Aromatic Pendant

Price: Get Latest Price
  • Brand Name: Negotiable
  • Model Number: SP00617
  • Minimum Order Quantity: 1pc
  • Delivery Time: Negotiable
  • view more

Complete Cable Suspension Kit Stainless Steel Wire Rope 1.5mm Hanging System for LED Pendant Lamp Fixtures

Price: USD 1.45 - 1.65 / Set Get Latest Price
  • Brand Name: YuYang
  • Model Number: YuYang-1.5MM
  • Minimum Order Quantity: 100 Sets
  • Delivery Time: 7-15 working days after deposit
  • view more

Wooden Deer Hanging Lamp with 4100K Neutral White LED and Adjustable Height for Vintage Hotel Decor

Price: $489-499 Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: Yihaowo-000578
  • Minimum Order Quantity: 1
  • Delivery Time: Negotiable
  • view more

Modern White Cloud Chandelier Light Cloud Pendant Lamp Floating Cloud Lamp

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

110Lumen per watt LED Pendant lamp 110W IP66 With adjustable bracket, GS, CE, DLC cetificated

Price: Negotiable Get Latest Price
  • Brand Name: MF
  • Model Number: MF-GS100
  • Minimum Order Quantity: 100PCS
  • Delivery Time: Depends on orders
  • view more

Ming Feng Lighting Co.,Ltd.

Dongguan ,Guangdong

  • 13YRS
  • Verified Supplier

Aluminum Housing 200W Led Garden Light IP66 IK10 WIth High Efficiency Pendant Lamp Used For Streets And Parks.

Price: Negotiation Get Latest Price
  • Brand Name: AWEI
  • Model Number: AG021-A
  • Minimum Order Quantity: 100 UNITS
  • Delivery Time: 7-20 days base on order quantity
  • view more

Brass Adjustable Led Hanging Kit Cable Gripper Steel Wire Rope Ceiling Cable Clip for Pendant Lamp

Price: $0.39-0.45 Get Latest Price
  • Brand Name: Meiyan
  • Model Number: CABEL GRIPPER
  • Minimum Order Quantity: 500
  • Delivery Time: Negotiable
  • view more

No Strobe 2835 SMD Pendant Lamp G9 4W 2700K 400lm Bulb

Price: USD0.70-USD0.90 Get Latest Price
  • Brand Name: Filamentlux
  • Model Number: FML-003
  • Minimum Order Quantity: 3000PCS
  • Delivery Time: 20-25days
  • view more

3D Crystal Ball Night Light Globe Table Lamp With Wooden Base Moon Lamp Children'S Birthday Gift Novel Home

Price: $ 1.9 / PCS >= 1000 PCS Get Latest Price
  • Brand Name: Rowgee
  • Model Number: SBD-003
  • Minimum Order Quantity: 2 PCS
  • Delivery Time: 5-10 Days
  • view more

Fast Delivery LED acrylic light up stand With Wooden Base NIght Lamp Decoration

Price: $2/PC-$10/PC Get Latest Price
  • Brand Name: SM
  • Model Number: SM223
  • Minimum Order Quantity: 1pc
  • Delivery Time: 5-15days
  • view more

Nickel / Chrome Light Hanging Kit Accessories , Quick Mounting Pendant Lamp Kit

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: CLS-112
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more